using IterativeLearningControl
using Documenter

DocMeta.setdocmeta!(IterativeLearningControl, :DocTestSetup, :(using IterativeLearningControl); recursive=true)

makedocs(;
    modules=[IterativeLearningControl],
    authors="Aaron Trowbridge <aaron.j.trowbridge@gmail.com> and contributors",
    repo="https://github.com/aarontrowbridge/IterativeLearningControl.jl/blob/{commit}{path}#{line}",
    sitename="IterativeLearningControl.jl",
    format=Documenter.HTML(;
        prettyurls=get(ENV, "CI", "false") == "true",
        canonical="https://aarontrowbridge.github.io/IterativeLearningControl.jl",
        edit_link="main",
        assets=String[],
    ),
    pages=[
        "Home" => "index.md",
    ],
)

deploydocs(;
    repo="github.com/aarontrowbridge/IterativeLearningControl.jl",
    devbranch="main",
)
